<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
</head>
<body>
<?php
error_reporting(0);
if(!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {
    exit();
}
$error      = $_GET["error"];
$CD_Name = $_GET["CD_Name"];
$CD_Url       = $_GET["CD_Url"];
$CD_siz       = $_GET["CD_siz"];
$CD_md5       = $_GET["CD_md5"];
$CD_from      = "qiniu";
$CD_uid       = "0";
$CD_Server    = $_GET["CD_Server"];
if($error=="1") {
    echo "<script>alert('抱歉，您没有权限进行此操作！');history.back();</script>";
} elseif($error=="2") {
    echo "<script>alert('抱歉，请先登录后操作！');history.back();</script>";
} elseif($error=="3") {
    echo "<script>alert('抱歉，无法转移文件到upload/dance/目录！');history.back();</script>";
} elseif($error=="4") {
    echo "<script>alert('抱歉，请上传被允许的文件格式！');history.back();</script>";
} elseif($CD_Url=="undefined") {
    echo "<script>alert('抱歉，文件上传出错，请重新上传。');history.back();</script>";
} else {
    echo "
<script type=\"text/javascript\">
window.parent.parent.document.form1.CD_Url.value='$CD_Url';
window.parent.parent.document.form1.CD_siz.value='$CD_siz';
window.parent.parent.document.form1.CD_md5.value='$CD_md5';
window.parent.parent.document.form1.CD_from.value='$CD_from';
window.parent.parent.document.form1.CD_uid.value='$CD_uid';
window.parent.parent.document.form1.CD_Server.value='$CD_Server';
window.close()
this.parent.layer.closeAll();
</script>
";
}
?>
</body>
</html>